Get Plan Details
curl --request GET \
--url https://api.payaza.africa/live/subscription/api/v1/subscription-plans/{planCode} \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/subscription/api/v1/subscription-plans/{planCode}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/subscription/api/v1/subscription-plans/{planCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"data": {
"id": 34,
"name": "The FIRST Day",
"description": "Superior marketing",
"amount": 800,
"currency": "NGN",
"interval": "MONTHLY",
"intervalCount": 1,
"trialPeriodDays": 5,
"billingLimit": 2,
"status": "ACTIVE",
"planCode": "PLN_DD41251",
"billingDaysOfWeek": null,
"metadata": null,
"createdAt": "2026-07-08T16:42:53.051861",
"updatedAt": "2026-07-08T17:25:31.342978"
}
}Subscription Plans
Get Plan Details
This endpoint retrieves the details of a specific subscription plan.
GET
/
subscription
/
api
/
v1
/
subscription-plans
/
{planCode}
Get Plan Details
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The unique identifier of the subscription plan.
Response
200 - application/json
Subscription plan details retrieved successfully
⌘I